function Create(self)
	--working variables
	self.Turret = {};
	--create the turrets.
	self.Turret[1] = CreateACrab("Coalition Small MG Turret");
	MovableMan:AddActor(self.Turret[1]);
	self.Turret[1].Offset = Vector(-105,-10);
	self.Turret[1].Team = self.Team;
	self.Turret[2] = CreateACrab("Coalition Small MG Turret");
	MovableMan:AddActor(self.Turret[2]);
	self.Turret[2].Offset = Vector(105,-10);
	self.Turret[2].Team = self.Team;
	self.Turret[3] = CreateACrab("Coalition Small Spike Turret");
	MovableMan:AddActor(self.Turret[3]);
	self.Turret[3].Offset = Vector(-35,105);
	self.Turret[3].Team = self.Team;
	self.Turret[4] = CreateACrab("Coalition Small Spike Turret");
	MovableMan:AddActor(self.Turret[4]);
	self.Turret[4].Offset = Vector(35,105);
	self.Turret[4].Team = self.Team;
    self.DRotAngle = self.RotAngle
    self.lastPos = self.Pos
    self.lastTeam = self.Team
end

function Destroy(self)
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			if self.Health < 1 then
				self.Turret[i]:GibThis()
			else
				self.Turret[i].ToDelete = true
			end
		end
	end
    
            local crate = CreateACRocket("Drop Crate","Dummy.rte")
            crate.Team = self.lastTeam
            crate.Pos = self.lastPos
            crate.Pos.Y = crate.Pos.Y - 25 
            crate.Vel.Y = -10
            local newbrain = CreateAHuman("Brain Robot","Coalition.rte")
            newbrain.Team = self.lastTeam
            newbrain:AddInventoryItem(CreateHDFirearm("Heavy Pistol", "Coalition.rte"))
            newbrain:AddInventoryItem(CreateHDFirearm("Light Digger", "Base.rte"))
            newbrain:AddInventoryItem(CreateHeldDevice("Riot Shield","Base.rte"))
            crate:AddInventoryItem(newbrain)
            crate.GetsHitByMOs = false
            MovableMan:AddActor(crate) --EVAC EVAC
end

function Update(self)
	--update turret spatial properties
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			--basic turret position upkeep (so it doesn't fall at 999999m/s)
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			--update turret position
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		end
	end
self:AddForce( Vector(-500 * self.Vel.X , -500 * self.Vel.Y ), Vector(0,0)) --drag
   
   self:AddForce( Vector(0 , -5000 * self.RotAngle ), Vector(-100,0)) --stablization
   self:AddForce( Vector(0 , 5000 * self.RotAngle ), Vector(100,0)) --stablization

   self:AddForce( Vector(0 , -25000 * (self.RotAngle - self.DRotAngle)), Vector(-100,0)) --dampening
   self:AddForce( Vector(0 , 25000 * (self.RotAngle - self.DRotAngle)), Vector(100,0)) --dampening

   self.DRotAngle = self.RotAngle
   if self.Health < 100 and math.random(50) == 50 then
        if self.GoldValue == 2000 then
            self.Health = self.Health + 2
        else
            self.Health = self.Health + 5
        end
    end
   if self.Health > 100 then
        self.Health = 100
   end
   if self:IsInventoryEmpty() and not self:HasObject("Drop Crate") then
        if math.random(1,4) == 4 then
            local crate = CreateACRocket("Drop Crate","Dummy.rte")
            crate.Team = self.Team
            local soldier1a = CreateAHuman("Soldier Heavy", "Coalition.rte")
            soldier1a:AddInventoryItem(CreateHDFirearm("Mauler Shotgun", "Coalition.rte"))
            soldier1a:AddInventoryItem(CreateHDFirearm("Medium Digger", "Base.rte"))
            soldier1a.Team = self.Team
			soldier1a.HitsMOs = false
            crate:AddInventoryItem(soldier1a)
            local soldier2a = CreateAHuman("Soldier Heavy", "Coalition.rte")
            soldier2a:AddInventoryItem(CreateHDFirearm("Rocket Launcher", "Coalition.rte"))
            soldier2a:AddInventoryItem(CreateTDExplosive("Cluster Grenade", "Coalition.rte"))
            soldier2a.Team = self.Team
			soldier2a.HitsMOs = false
            crate:AddInventoryItem(soldier2a)
            local soldier3a = CreateAHuman("Soldier Heavy", "Coalition.rte")
            soldier3a:AddInventoryItem(CreateHDFirearm("Heavy Sniper Rifle", "Coalition.rte"))
            soldier3a:AddInventoryItem(CreateHDFirearm("Heavy Pistol", "Coalition.rte"))
            soldier3a.Team = self.Team
			soldier3a.HitsMOs = false
            crate:AddInventoryItem(soldier3a)
            
            self:AddInventoryItem(crate)
        else
            local crate = CreateACRocket("Drop Crate","Dummy.rte")
            crate.Team = self.Team
            local soldier1 = CreateAHuman("Soldier Light", "Coalition.rte")
            soldier1:AddInventoryItem(CreateHDFirearm("Auto Shotgun", "Coalition.rte"))
            soldier1:AddInventoryItem(CreateHDFirearm("Medium Digger", "Base.rte"))
			soldier1.HitsMOs = false
            soldier1.Team = self.Team
            crate:AddInventoryItem(soldier1)
            local soldier2 = CreateAHuman("Soldier Light", "Coalition.rte")
            soldier2:AddInventoryItem(CreateHDFirearm("Assault Rifle", "Coalition.rte"))
            soldier2:AddInventoryItem(CreateTDExplosive("Grenade", "Coalition.rte"))
			soldier2.HitsMOs = false
            soldier2.Team = self.Team
            crate:AddInventoryItem(soldier2)
            local soldier3 = CreateAHuman("Soldier Light", "Coalition.rte")
            soldier3:AddInventoryItem(CreateHDFirearm("Assault Rifle", "Coalition.rte"))
            soldier3:AddInventoryItem(CreateHDFirearm("Auto Pistol", "Coalition.rte"))
			soldier3.HitsMOs = false
            soldier3.Team = self.Team
            crate:AddInventoryItem(soldier3)
            
            self:AddInventoryItem(crate)
        end
   end
end
